local Pipeline(os, release) = {
  kind: "pipeline",
  type: "docker",
  name: os + "-" + release,
  steps: [
    {
      name: "build_and_publish_" + os + "_" + release,
      image: "plugins/docker:linux-amd64",
      pull: "always",
      settings: {
        dockerfile: "Dockerfile",
        build_args: {
          BUILD_FROM: os + ":" + release,
        },
        registry: "docker.asperti.com",
        repo: "docker.asperti.com/paspo/docker-deb-builder",
        username: {
          from_secret: "docker_username",
        },
        password: {
          from_secret: "docker_password",
        },
        tags: [ os + "_" + release ],
        auto_tag: false,
        force_tag: true,
        daemon_off: false,
      }
    }
  ],
  trigger: {
    event: ['tag'],
  }
};

[
  Pipeline("debian", "bullseye"),
  Pipeline("debian", "buster"),
  Pipeline("ubuntu", "20.04"),
  Pipeline("ubuntu", "18.04"),
]
